package org.lionsoul.ip2region;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author koma <komazhang@foxmail.com>
 * @date 2019-12-26
 */
@ConfigurationProperties(prefix = Ip2RegionProperties.PREFIX)
public class Ip2RegionProperties {
    public static final String PREFIX = "ip2region";

    /*
     *  是否开启自动配置
     */
    private boolean enabled = false;

    /**
     * db数据文件位置
     */
    private String dbfile;

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public String getDbfile() {
        return dbfile;
    }

    public void setDbfile(String dbfile) {
        this.dbfile = dbfile;
    }
}
